%define libxcb %mklibname xcb 1
%define libdev %mklibname xcb -d
%define libdevst %mklibname xcb -d -s

Name: libxcb
Summary: X protocol C-language Binding Library
Version: 1.1.91
%define subrel 1
Release: %mkrel 2
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source0: http://xcb.freedesktop.org/dist/libxcb-%{version}.tar.bz2
Patch0: libxcb-1.1-sloppy-lock-on-by-default.patch
BuildRoot: %{_tmppath}/%{name}-root

# because of xcb-proto-1.1 (at least)
BuildRequires: x11-proto-devel >= 7.3-2mdv

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpthread-stubs
BuildRequires: libxslt-proc
BuildRequires: libxdmcp-devel
BuildRequires: doxygen
BuildRequires: python-celementtree

%description
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

#-----------------------------------------------------------

%package -n %{libxcb}
Summary: X protocol C-language Binding Library
Group: System/X11
Provides: %{name} = %{version}

%description -n %{libxcb}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

#-----------------------------------------------------------

%package -n %{libdev}
Summary: Development files for %{name}
Group: Development/X11
Requires: x11-proto-devel >= 1.2.0
Provides: xcb-devel = %{version}-%{release}
Provides: libxcb-devel = %{version}-%{release}
Obsoletes: %{libxcb}-devel
Requires: %{libxcb} = %{version}
# gw this isn't picked up by the automatic pkgconfig deps, but without it,
# pkg-config --libs xcb will fail
Requires: libpthread-stubs


%description -n %{libdev}
Development files for %{name}

%files -n %{libdev}
%defattr(-,root,root)
%{_includedir}/xcb/*.h
%{_libdir}/libxcb*.la
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/xcb*.pc
%{_docdir}/libxcb/*

#-----------------------------------------------------------

%package -n %{libdevst}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libdev} = %{version}
Obsoletes: %{libxcb}-static-devel
Provides: libxcb-static-devel = %version-%release

%description -n %{libdevst}
Static development files for %{name}

%files -n %{libdevst}
%defattr(-,root,root)
%{_libdir}/libxcb*.a

#-----------------------------------------------------------

%prep
%setup -q -n libxcb-%{version}
%patch0 -p0 -b .sloppy

%build
%configure

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libxcb} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libxcb} -p /sbin/ldconfig
%endif

%files -n %{libxcb}
%defattr(-,root,root)
%{_libdir}/libxcb-composite.so.0
%{_libdir}/libxcb-composite.so.0.0.0
%{_libdir}/libxcb-damage.so.0
%{_libdir}/libxcb-damage.so.0.0.0
%{_libdir}/libxcb-dpms.so.0
%{_libdir}/libxcb-dpms.so.0.0.0
%{_libdir}/libxcb-glx.so.0
%{_libdir}/libxcb-glx.so.0.0.0
%{_libdir}/libxcb-randr.so.0
%{_libdir}/libxcb-randr.so.0.0.0
%{_libdir}/libxcb-record.so.0
%{_libdir}/libxcb-record.so.0.0.0
%{_libdir}/libxcb-render.so.0
%{_libdir}/libxcb-render.so.0.0.0
%{_libdir}/libxcb-res.so.0
%{_libdir}/libxcb-res.so.0.0.0
%{_libdir}/libxcb-screensaver.so.0
%{_libdir}/libxcb-screensaver.so.0.0.0
%{_libdir}/libxcb-shape.so.0
%{_libdir}/libxcb-shape.so.0.0.0
%{_libdir}/libxcb-shm.so.0
%{_libdir}/libxcb-shm.so.0.0.0
%{_libdir}/libxcb-sync.so.0
%{_libdir}/libxcb-sync.so.0.0.0
%{_libdir}/libxcb-xevie.so.0
%{_libdir}/libxcb-xevie.so.0.0.0
%{_libdir}/libxcb-xf86dri.so.0
%{_libdir}/libxcb-xf86dri.so.0.0.0
%{_libdir}/libxcb-xfixes.so.0
%{_libdir}/libxcb-xfixes.so.0.0.0
%{_libdir}/libxcb-xinerama.so.0
%{_libdir}/libxcb-xinerama.so.0.0.0
%{_libdir}/libxcb-xlib.so.0
%{_libdir}/libxcb-xlib.so.0.0.0
%{_libdir}/libxcb-xprint.so.0
%{_libdir}/libxcb-xprint.so.0.0.0
%{_libdir}/libxcb-xtest.so.0
%{_libdir}/libxcb-xtest.so.0.0.0
%{_libdir}/libxcb-xv.so.0
%{_libdir}/libxcb-xv.so.0.0.0
%{_libdir}/libxcb-xvmc.so.0
%{_libdir}/libxcb-xvmc.so.0.0.0
%{_libdir}/libxcb.so.1
%{_libdir}/libxcb.so.1.0.0



%changelog
* Mon Nov 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.91-2.1mdv2009.0
+ Revision: 466671
- Devel package should provide libxcb-devel (#54867)

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 1.1.91-2mdv2009.0
+ Revision: 287514
- fix static devel provides

* Wed Aug 27 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.91-1mdv2009.0
+ Revision: 276505
- Add python-celementtree BR
- Add doxygen BR
- New release

* Thu Aug 21 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1-5mdv2009.0
+ Revision: 274951
- Libraries should not have soname in their devel package

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-4mdv2009.0
+ Revision: 264971
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1-3mdv2009.0
+ Revision: 192953
- Provide xcb-devel.
  Closes #37790 (libcxb-devel should provides xcb-devel)

* Wed Feb 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.1-2mdv2008.1
+ Revision: 166978
- Enable sloppy lock per default.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1mdv2008.1-current
+ Revision: 106782
- new upstream version: 1.1
- build-requires new x11-proto-devel (new xcb-proto)

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.0-3mdv2008.0
+ Revision: 18183
- fix previus fix, move dep to the devel package

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2008.0
+ Revision: 18160
- depend on libpthread-stubs


* Wed Feb 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0-1mdv2007.0
+ Revision: 127048
- Adding missing BuildRequires
- adding libxcb to the repository

